-- SELECT count(*) FROM process where batch_id=109335;
-- check batch passed steps vs. run processes for workflow 93 (IRD_PACO)
create temporary table if not exists `temp_table`
(
  `batch_id` INT UNSIGNED NOT NULL,
  `workflow_id` INT UNSIGNED NOT NULL,
  `declared_steps` INT UNSIGNED NOT NULL,
  `process` INT UNSIGNED NOT NULL
);

insert into temp_table
SELECT 
    b.id as "batch_id",
    b.workflow_id as "workflow_id",
    b.step as "declared_steps",
    count(*) process 
FROM 
    batch b
    INNER JOIN process process
    ON process.batch_id=b.id
GROUP BY
    b.id
HAVING
    b.step > process and b.id > 109000 and b.workflow_id=93
;

select 
    batch_id,
    declared_steps as "# declared steps",
    process as "# run processes"
from
    temp_table
;
