drop table if exists `star_occurrence`;

create table if not exists `star_occurrence` (
    `computing_time` DATETIME,
    `star_id` INT UNSIGNED NOT NULL,
    `workspace_id` INT UNSIGNED NOT NULL,
    `type` VARCHAR(50) NOT NULL,
    `total` INT default 0,
    PRIMARY KEY (`star_id`, `workspace_id`, `type`, `computing_time`),
    INDEX `fk_star_occurrence_star_idx` (`star_id` ASC),
    CONSTRAINT `fk_star_occurrence_star`
        FOREIGN KEY (`star_id`)
        REFERENCES `main_star` (`id`)
        ON DELETE CASCADE
        ON UPDATE NO ACTION,
    INDEX `fk_workspace_occurrence_workspace_idx` (`workspace_id` ASC),
    CONSTRAINT `fk_workspace_occurrence_star`
        FOREIGN KEY (`workspace_id`)
        REFERENCES `workspace` (`id`)
        ON DELETE CASCADE
        ON UPDATE NO ACTION
);

-- show table result
describe `star_occurrence`;
SELECT * FROM `star_occurrence` LIMIT 1000;